GET /health

Returns the status and call load of the responding worker.

Response

{
  "status": "ok",
  "worker_calls": 2,
  "worker_max": 5,
  "total_capacity": 20,
  "total_available": 18,
  "workers": 4,
  "worker_port": 8001,
  "worker_pid": 12345
}
FieldTypeDescription
statusstring"ok"
worker_callsintActive calls on this worker
worker_maxintMax calls per worker (MAX_CONCURRENT_CALLS)
total_capacityintworker_max × workers
total_availableinttotal_capacity - worker_calls
workersintWorker count (VOXCORE_WORKERS)
worker_portintPort this worker listens on
worker_pidintOS process ID

GET /health/fleet

Queries all local workers and returns aggregated fleet status.

Response

{
  "status": "ok",
  "fleet_calls": 8,
  "fleet_max": 20,
  "fleet_available": 12,
  "workers": [
    {"port": 8001, "calls": 3, "pid": 12345},
    {"port": 8002, "calls": 2, "pid": 12346},
    {"port": 8003, "calls": 3, "pid": 12347},
    {"port": 8004, "calls": 0, "pid": 12348}
  ]
}
FieldTypeDescription
statusstring"ok"
fleet_callsintTotal active calls
fleet_maxintTotal capacity
fleet_availableintAvailable slots
workerslistPer-worker status
Each worker entry:
FieldTypeDescription
portintWorker port
callsintActive calls
pidintProcess ID
statusstringOnly present if worker is "unreachable"